Bug 540107

Summary: SELinux is preventing /usr/bin/pdbedit "read write" access on passdb.tdb.
Product: [Fedora] Fedora Reporter: Steeve McCauley <steeve.mccauley>
Component: selinux-policyAssignee: Daniel Walsh <dwalsh>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 12CC: dwalsh, mgrepl
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard: setroubleshoot_trace_hash:a45b8b7d7f50b90bbe5f6c73860f9d8a4a912a008e1715611f42eb8f55e8b805
Fixed In Version: 3.6.32-49.fc12 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-12-01 16:41:01 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Steeve McCauley 2009-11-22 12:49:10 UTC
Summary:

SELinux is preventing /usr/bin/pdbedit "read write" access on passdb.tdb.

Detailed Description:

[SELinux is in permissive mode. This access was not denied.]

SELinux denied access requested by pdbedit. It is not expected that this access
is required by pdbedit and this access may signal an intrusion attempt. It is
also possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                system_u:system_r:sambagui_t:s0-s0:c0.c1023
Target Context                unconfined_u:object_r:samba_secrets_t:s0
Target Objects                passdb.tdb [ file ]
Source                        pdbedit
Source Path                   /usr/bin/pdbedit
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           samba-common-3.4.2-47.fc12
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.32-41.fc12
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.31.5-127.fc12.x86_64 #1
                              SMP Sat Nov 7 21:11:14 EST 2009 x86_64 x86_64
Alert Count                   2
First Seen                    Fri 20 Nov 2009 09:18:20 AM EST
Last Seen                     Fri 20 Nov 2009 09:18:20 AM EST
Local ID                      71bfd706-251b-4c8c-81da-325c0f516b64
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1258726700.569:223): avc:  denied  { read write } for  pid=31175 comm="pdbedit" name="passdb.tdb" dev=sda6 ino=188170 scontext=system_u:system_r:sambagui_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:samba_secrets_t:s0 tclass=file

node=(removed) type=AVC msg=audit(1258726700.569:223): avc:  denied  { open } for  pid=31175 comm="pdbedit" name="passdb.tdb" dev=sda6 ino=188170 scontext=system_u:system_r:sambagui_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:samba_secrets_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1258726700.569:223): arch=c000003e syscall=2 success=yes exit=128 a0=7f152ffc53f0 a1=42 a2=180 a3=7fff992819c0 items=0 ppid=31174 pid=31175 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="pdbedit" exe="/usr/bin/pdbedit" subj=system_u:system_r:sambagui_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  selinux-policy-3.6.32-41.fc12,catchall,pdbedit,sambagui_t,samba_secrets_t,file,read,write
audit2allow suggests:

#============= sambagui_t ==============
allow sambagui_t samba_secrets_t:file { read write open };

Comment 1 Daniel Walsh 2009-11-23 15:39:04 UTC
You can add these rules for now using

# grep avc /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Fixed in selinux-policy-3.6.32-48.fc12.noarch

Comment 2 Fedora Update System 2009-11-23 23:39:51 UTC
selinux-policy-3.6.32-49.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/selinux-policy-3.6.32-49.fc12

Comment 3 Fedora Update System 2009-11-25 15:23:09 UTC
selinux-policy-3.6.32-49.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-12131

Comment 4 Fedora Update System 2009-12-02 04:34:18 UTC
selinux-policy-3.6.32-49.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.